JobControllerGetJobRunsForJob Method |
GET /Job/GetJobRunsForJob/{id}
Gets the job runs associated with the given job ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetJobRunsForJob")]
public HttpResponseMessage GetJobRunsForJob(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetJobRunsForJob")>
Public Function GetJobRunsForJob (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetJobRunsForJob")]
HttpResponseMessage^ GetJobRunsForJob(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetJobRunsForJob")>]
member GetJobRunsForJob :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The job ID that the job runs are associated with. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
JobRunData objects, or a status code indicating the problem.
See Also